Bug 1121717 - perl-Crypt-Rijndael not built for EPEL7 (required by nagios-plugins-openmanage)
Summary: perl-Crypt-Rijndael not built for EPEL7 (required by nagios-plugins-openmanage)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Crypt-Rijndael
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matías Kreder
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 17:13 UTC by Eric S.
Modified: 2014-11-16 20:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-16 20:06:05 UTC


Attachments (Terms of Use)
perl-Crypt-Rijndael RPM (30.72 KB, application/x-rpm)
2014-07-25 21:35 UTC, Erinn Looney-Triggs
no flags Details

Description Eric S. 2014-07-21 17:13:35 UTC
Description of problem:
nagios-plugins-openmanage requires perl-Crypt-Rijndael which has not yet been built for EPEL7

Version-Release number of selected component (if applicable):


How reproducible:
Install nagios-plugins-openmanage

Steps to Reproduce:
1.
2.
3.

Actual results:
Package doesn't exist

Expected results:
Installable package


Additional info:

Comment 1 Erinn Looney-Triggs 2014-07-25 21:35:22 UTC
Created attachment 921061 [details]
perl-Crypt-Rijndael RPM

In case anyone should need it in the mean time, I have built this rpm from the epel 6 version, works just fine.

-Erinn

Comment 2 Trond H. Amundsen 2014-07-28 15:38:45 UTC
I have pushed a new build of nagios-plugins-openmanage (also containing a new release), which doesn't require perl-Crypt-Rijndael. The nagios plugin doesn't use this perl module directly, but having Crypt::Rijndael installed enables AES encryption with Net::SNMP. I believe this is extremely rarely used with check_openmanage, so I have removed the requirement. The new nagios-plugins-openmanage RPM should be available in EPEL7 in a day or so, as EPEL7 is still in beta. It will take 2-3 weeks for it to reach the stable repos for EPEL5, EPEL6 and Fedora, but in the meantime it will be available in the respective testing repos.

This should take care of the dependency issue, but I'd still like to see Crypt::Rijndael arrive in EPEL7 :)

-trond

Comment 3 Matías Kreder 2014-08-01 19:04:37 UTC
I have pushed a build of Crypt::Rijndael to EPEL7. As Trond said, it should be available in a day or so as EPEL7 is still in beta.

Comment 4 Matías Kreder 2014-11-16 20:06:05 UTC
perl-Crypt-Rijndael is already on EPEL7


Note You need to log in before you can comment on or make changes to this bug.